﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingManagementView
@{
    ViewData["Title"] = "Owner's Reservations - Remaining CheckOut";
}
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">

    <script src="~/Content/vendors/js/jquery.min.js"></script>
    <script src="~/Content/vendors/js/popper.min.js"></script>
    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script src="~/Content/vendors/js/pace.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}



@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Owner's Reservations (Remaining CheckOut)
}
<!DOCTYPE html>
<div class="card" style="margin-bottom: 0">
    <h2 class="text-center mt-3" style="color:indianred">@ViewData["Title"]</h2>

    <div class="card-body">


        <div class="table-responsive-lg" id="table">
            @{
                int noOfbooking = Model.OwnerRoomBookingListCurrent.Count();
            }
            @if (noOfbooking != 0)
            {
                <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                    <thead style="color: white; background-color:#315152">

                        <tr>



                            <th scope="col">Booking Application Date</th>
                            <th scope="col">Booking No.</th>
                            <th scope="col">Slot Id</th>
                            <th scope="col">Main Guest Name</th>
                            <th scope="col">Main Guest Mobile</th>

                            <th scope="col">No of Adult</th>
                            <th scope="col">No of Child</th>
                            <th scope="col">No of Room</th>
                            <th scope="col">Arrival Date</th>
                            <th scope="col">Departure Date</th>

                            <th scope="col">Checked Out or Not</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var ownerRoomBooking in Model.OwnerRoomBookingListCurrent)
                        {
                            <tr>



                                <td>@ownerRoomBooking.ApplicationDate.ToString("dd-MMM-yyyy hh:mm tt")</td>
                                @if (ownerRoomBooking.BookingToken == "" || ownerRoomBooking.BookingToken == null)
                                {
                                    <td>Not Assigned</td>
                                }
                                else
                                {
                                    <td>@ownerRoomBooking.BookingToken</td>
                                }
                                <td>@ownerRoomBooking.SlotId</td>
                                <td>@ownerRoomBooking.GuestNameMain</td>
                                <td>@ownerRoomBooking.GuestMobile</td>

                                <td>@ownerRoomBooking.NoOfAdult</td>
                                <td>@ownerRoomBooking.NoOfChild</td>
                                <td>@ownerRoomBooking.NoOfRoomRequested</td>
                                @{
                                    var Startdate = (ownerRoomBooking.CheckInDate);
                                    var val1 = Startdate.ToString("dd-MMM-yyyy");
                                    <td>@val1</td>
                                }
                                @{
                                    var Enddate = Convert.ToDateTime(ownerRoomBooking.CheckOutDate);
                                    var val2 = Enddate.ToString("dd-MMM-yyyy");
                                    <td>@val2</td>
                                }


                                <td>@ownerRoomBooking.HasCheckedOutOrNot</td>

                            </tr>
                        }

                    </tbody>
                </table>
            }
            else
            {
                <h3 align="center">No Current Room Bookings</h3>

            }
        </div>
        <div class="table-responsive-lg" id="js-table">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin-bottom: 0"></table>
        </div>
        <div class="text-center" id="message">

        </div>


        <div class="card-footer">

            <div class="text-right">
                @if (Model.OwnerRoomBookingListCurrent.Count != 0)
                {
                    var flag = 0;
                    foreach (var ownerRoomBooking in Model.OwnerRoomBookingListCurrent)
                    {
                        if (ownerRoomBooking.HasCheckedOutOrNot == "" || ownerRoomBooking.HasCheckedOutOrNot == null || ownerRoomBooking.TotalExpense == 0)
                        {
                            @*<button type="submit" class="btn btn-primary" id="Next" disabled>Next</button>*@
                            flag = 0;
                        }
                        @*else
                        {
                            <button type="submit" class="btn btn-primary" id="Next" onclick="Next()">Next</button>
                        }*@
                        else
                        {
                            flag = 1;
                        }
                    }
                    if (flag == 0)
                    {
                        <button type="submit" class="btn btn-primary" id="Next" disabled>Next</button>
                    }
                    else
                    {
                        <button type="submit" class="btn btn-primary" id="Next" onclick="Next()">Next</button>
                    }

                }
                else
                {
                    <button type="submit" class="btn btn-primary" id="Next" onclick="Next()">Next</button>
                }
            </div>

        </div>
    </div>

</div>


<script type="text/javascript">
        $("#Next").click(function () {
            window.location = '@Url.Action("CheckRemainingReferralCheckOutManagementDayClose", "OwnersInfo")' ;

            });
</script>
<script>
    var submitBookingForm = document.getElementById('ConfirmForm'),
        checkbox = document.getElementById('agreeTermsButton'),
        disableSubmit = function (e) {
            submitBookingForm.disabled = !this.checked
        };

    checkbox.addEventListener('change', disableSubmit);
</script>



<script>
    $("#" + @Model.index).addClass("active");
</script>



<script>
    $(document).ready(function () {

        $("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $("#saveItem").remove();
        $("#reportItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });


    });


</script>

